Bug 5711 - globusrun-ws error with -term +HH:MM option
: globusrun-ws error with -term +HH:MM option
Status: RESOLVED FIXED
: GRAM
wsrf gram clients
: 4.0.5
: Macintosh All
: P2 normal
: 4.0.7
Assigned To:
:
:
:
:
  Show dependency treegraph
 
Reported: 2007-12-10 09:20 by
Modified: 2008-01-22 12:05 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2007-12-10 09:20:18
Setting a accumulative termination time with globusrun-ws fails.
Giving an absolute termination time works fine:

[martin@osg-test1 jobs]$ globusrun-ws -submit -termination "+36:00" -b -o
job.epr -f job.xml
Submitting job...Failed.
globusrun-ws: globus_i_submit.c::731:
Error submitting job
ManagedJobFactoryService_client.c::5877:
SOAP Fault
Fault code: soapenv:Server.generalException
Fault detail:
<ns1:BaseFault
xmlns:ns1="http://docs.oasis-open.org/wsrf/2004/06/wsrf-WS-BaseFaults-1.2-draft-01.xsd"><ns1:Timestamp>2007-12-10T15:17:28.187Z</ns1:Timestamp><ns1:Originator><wsa:Address>https://localhost:8443/wsrf/services/ManagedJobFactoryService</wsa:Address><wsa:ReferenceProperties><ns01:ResourceID
xmlns:ns01="http://www.globus.org/namespaces/2004/10/gram/job">Fork</ns01:ResourceID></wsa:ReferenceProperties><wsa:ReferenceParameters/></ns1:Originator></ns1:BaseFault>





[martin@osg-test1 jobs]$ globusrun-ws -submit -termination "12/15/2007 12:00"
-b -o job.epr -f job.xml
Submitting job...Done.
Job ID: uuid:1069d818-a733-11dc-983f-0013d4c3b957
Termination time: 12/15/2007 12:00 GMT
[martin@osg-test1 jobs]$
------- Comment #1 From 2008-01-09 15:26:48 -------
After more checking the problems seems to be the following:

If the relative termination time is greater than 24 hours
it is set to the current time by globusrun-ws.
If the request enters the container an UnableToSetTerminationTimeFaultType
is thrown by ManagedJobFactoryService.createManagedJob() because
the termination time is in the past.

(This exception is currently not specified in the wsdl, but will be in 4.2)
------- Comment #2 From 2008-01-22 12:05:06 -------
Fixed in 4.0 branch and trunk.

Joe